Texa DeskDevelopers

Texa Desk Application API · Help center

Add a new category

POST/api/v1/accounts/{account_id}/portals/{id}/categories

Add a new category to portal

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idstringrequired

The slug identifier of the portal

Body application/json

namestring

The name of the category

descriptionstring

A description for the category

positioninteger

Category position in the portal list to sort

slugstring

The category slug used in the URL

localestring

The locale of the category

iconstring

The icon of the category as a string (emoji)

parent_category_idinteger

To define parent category, e.g product documentation has multiple level features in sales category or in engineering category.

associated_category_idinteger

To associate similar categories to each other, e.g same category of product documentation in different languages

Responses

200

Success

idinteger
descriptionstring

The text content.

localestring
namestring
slugstring
positioninteger
portal_idinteger
account_idinteger
associated_category_idinteger

To associate similar categories to each other, e.g same category of product documentation in different languages

parent_category_idinteger

To define parent category, e.g product documentation has multiple level features in sales category or in engineering category.

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring